### `md5` - generate message digest

#### Synopsis

`md5 [ -0123456789 ] [ -h] file`

#### Description

This program generates the message digest of the given file using the RSA Message Digest 5 (MD5) and other selected algorithms. If file is not given, the program uses the standard input.

#### Options

`-0123456789`
  Select algorithm from the following list
  `-0` null
  `-1` MD5
  `-2` SNEFRU
  `-3` CRC32
  `-4` CRC16
  `-5` MD4
  `-6` MD2
  `-7` SHA
  `-8` HAVAL
  `-9` null

`-h`
  Display the result in hex; the default is base-64